org.apache.commons.jelly.tags.xml

## Class DoctypeTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.xpath.XPathTagSupport
    - - org.apache.commons.jelly.tags.xml.DoctypeTag

All Implemented Interfaces:
  Tag

    public class DoctypeTag
    extends XPathTagSupport

A tag which outputs a DOCTYPE declaration to the current XML output pipe. Note that there should only be a single DOCTYPE declaration in any XML stream and it should occur before any element content.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`DoctypeTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`java.lang.String` `getName()` Returns the name.
`java.lang.String` `getPublicId()` Returns the publicId.
`java.lang.String` `getSystemId()` Returns the systemId.
`void` `setName(java.lang.String name)` Sets the document type name of the DOCTYPE
`void` `setPublicId(java.lang.String publicId)` Sets the declared public identifier for DTD
`void` `setSystemId(java.lang.String systemId)` Sets the declared system identifier for the DTD

### Methods inherited from class org.apache.commons.jelly.xpath.XPathTagSupport

`getXPathContext`

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoctypeTag

    public DoctypeTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `MissingAttributeException`
  `JellyTagException`

#### getName

    public java.lang.String getName()

Returns the name.

Returns:
  String

#### getPublicId

    public java.lang.String getPublicId()

Returns the publicId.

Returns:
  String

#### getSystemId

    public java.lang.String getSystemId()

Returns the systemId.

Returns:
  String

#### setName

    public void setName(java.lang.String name)

Sets the document type name of the DOCTYPE

#### setPublicId

    public void setPublicId(java.lang.String publicId)

Sets the declared public identifier for DTD

#### setSystemId

    public void setSystemId(java.lang.String systemId)

Sets the declared system identifier for the DTD